Bug 94947 - MotionPath animation of type Curve shows as Appear animation in the UI
Summary: MotionPath animation of type Curve shows as Appear animation in the UI
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-11 09:03 UTC by Ofir
Modified: 2020-12-15 12:01 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Presentation with Curve and 4-Point-Star Animations (10.91 KB, application/vnd.oasis.opendocument.presentation)
2015-10-11 09:03 UTC, Ofir
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ofir 2015-10-11 09:03:51 UTC
Created attachment 119497 [details]
Presentation with Curve and 4-Point-Star Animations

MotionPath animation of type curve, polygon or freeform-line shows as Appear in the UI.

Tested with LO 5.0.2.2 and 5.1 alpha on Windows 7 and Ubuntu 14.04

To reproduce:
- Open the attached presentation
- Select the blue rectangle
- Open the 'Custom Animation' tab.
- Click on the 'Modify Effect' button.
- The popup will show 'Appear' animation instead of MotionPath with type Curve.
- Compare with the orange rectangle that shows '4 Point Start' as expected.

In content.xml the 'presentation:preset-id' is missing from the 'anim:par' element of the blue rectangle.

<anim:par presentation:node-type="timing-root">
  <anim:seq presentation:node-type="main-sequence">
	<anim:par smil:begin="next">
	  <anim:par smil:begin="0s">
		<anim:par smil:begin="0s" smil:fill="hold" smil:accelerate="0.5" smil:decelerate="0.5" presentation:node-type="on-click" presentation:preset-class="motion-path">
		  <anim:animateMotion smil:dur="0.5s" smil:fill="hold" smil:targetElement="id1" svg:path="M0.0005 0.00261904761904762c0.0166785714285714 0.00780952380952381 0.0343926120372577 0.00838306637650848 0.0517142857142857 0.011952380952381 0.0141068979132062 0.00290687593363037 0.0273531078497943 0.0102551223961165 0.0407857142857143 0.0159047619047619 0.0191745467472842 0.00806465054869347 0.0312438319215095 0.0322416167928073 0.0387857142857143 0.0557142857142857 0.00570811871017993 0.0177654296604342 0.00609496857178629 0.0372902637185129 0.00996428571428573 0.0556666666666667 0.00420211432775977 0.0199569441524874 0.0102442653133122 0.0410123697086665 0.0248571428571429 0.0530476190476191 0.0221014130644243 0.0182028499298436 0.0477180649627024 0.0270726152494978 0.0726071428571429 0.0344761904761905 0.0159323654926255 0.00473928632326567 0.0325006526324321 0.00442016334167222 0.04875 0.00666666666666668 0.0195720834433005 0.00270587793699339 0.0390360012970176 0.00766327388355628 0.0586785714285714 0.0106190476190476 0.0189645730611139 0.00285375012452158 0.036538737452098 0.0131283228622053 0.0547142857142858 0.0198571428571429 0.015395887435884 0.00569975407200818 0.0287080087917811 0.0163987532999687 0.04275 0.0251904761904761 0.0129580220220299 0.00811304729774365 0.0239207370106075 0.0216261662249516 0.0318571428571429 0.0371428571428571 0.00692074086956657 0.0135309356744731 0.00631110006195418 0.0312436714808738 0.0109285714285715 0.0464285714285714 0.00548967498535097 0.0180532067833921 0.00971428571428573 0.0369047619047619 0.0139285714285715 0.0557142857142857l0.00196428571428564 0.0185714285714286 0.002 0.0145714285714286v0.00133333333333335"/>
		</anim:par>
	  </anim:par>
	</anim:par>
	<anim:par smil:begin="next">
	  <anim:par smil:begin="0s">
		<anim:par smil:begin="0s" smil:fill="hold" smil:accelerate="0.5" smil:decelerate="0.5" presentation:node-type="on-click" presentation:preset-class="motion-path" presentation:preset-id="ooo-motionpath-4-point-star">
		  <anim:animateMotion smil:dur="2s" smil:fill="hold" smil:targetElement="id2" svg:path="M 0 0  L 0.091 -0.0453  L 0.125 -0.16655  L 0.158 -0.0453  L 0.249 0  L 0.158 0.0453  L 0.125 0.16655  L 0.091 0.0453  L 0 0  Z"/>
		</anim:par>
	  </anim:par>
	</anim:par>
  </anim:seq>
</anim:par>
Comment 1 Buovjaga 2015-10-13 17:23:19 UTC
Confirmed.

Win 7 Pro 64-bit, Version: 5.0.2.2 (x64)
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: fi-FI (fi_FI)

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 2 QA Administrators 2016-11-08 11:10:41 UTC Comment hidden (obsolete)
Comment 3 Ofir 2017-11-10 00:31:01 UTC
Reproducible with LO 6.0.0.0.alpha1 on Ubuntu 16.04.
Comment 4 Ofir 2018-09-28 03:18:01 UTC
Reproducible with LO 6.1.0.3.
Comment 5 Ofir 2019-05-24 21:52:12 UTC
The blue shape show MotionPath but it's missing the Curve subtype.
The orange shape now show the correct animation - MotionPath with 4 Point Star.

Version: 6.3.0.0.alpha1
Build ID: 547edd20e527fb02900f6174973770d26306e2e7
CPU threads: 1; OS: Linux 4.18; UI render: default; VCL: gtk3; 
Locale: en-US (en_IL); UI-Language: en-US
Comment 6 Commit Notification 2019-11-30 14:01:52 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d86cfcaf709638d73fcb0de5067b902dab7a7f2f

tdf#94947 Set preset-id for user defined motion paths.

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2020-01-20 14:27:07 UTC
A polite ping to Mark Hung:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ?
Otherwise, Could you please explain what's missing?
Thanks